@echo off
echo RedumpCUE2GDI is based on the app GDIdrop by https://github.com/feyris-tan/
echo GDIdrop was modified by https://github.com/awfulbear/ to run with updated
echo images and command line input so we can batch process entire archives at 
echo once and provide updates via console when run through the batch script.
echo.
echo This batch file will run through all sub directories located in this folder
echo and convert the BIN/CUE files to GDI format. It will place the GDI and 
echo Track files into folder called GDI located in the same directory that each
echo input BIN/CUE files are located.
echo.
echo When GDI conversion is complete it will then convert the GDI's to CHD files
echo and place those in a folder called CHDs in the same directory that this 
echo batch file is running from. Please note this will take up alot of space 
echo before it is done. You can also change the target drive/folder by editing 
echo this script.
echo.
echo If a file this script generates already exists then it will skip that 
echo step of the conversion process and display an error and move to the next
echo item in the list. Nothing will be overwritten.
echo.
echo Original input files will remain intact through each step!
echo.
echo Once conversion is complete you will be given the opportunity to delete
echo all of the GDI files and folders that were created to save you time.
echo.

setlocal
:PROMPT
SET /P AREYOUSURE="Are you sure you want to convert CUE -> GDI -> CHD? (Y/[N])" 
IF /I "%AREYOUSURE%" NEQ "Y" GOTO END

echo.
echo CUE to GDI conversion starting!
echo.

@echo on

for /r %%i in (*.cue) do RedumpCUE2GDI "%%i"

@echo off

echo.
echo CUE to GDI conversion complete!
echo.
echo GDI to CHD conversion starting!
echo.

REM CHANGE THE OUTPUT DIRECTORY ON BOTH THE MD LINE AND chdman LINES
md "%cd%\CHDs"
for /r %%i in (*.gdi) do chdman createcd -i "%%i" -o "%cd%\CHDs\%%~ni.chd"

echo.
echo CHD Conversion Complete!
echo.

:PROMPT
SET /P AREYOUSURE="Do you want to delete all of the GDI files and folders created? (Y/[N])" 
IF /I "%AREYOUSURE%" NEQ "Y" GOTO END

for /d /r . %%d IN (GDI) DO @IF EXIST "%%d" rd /s /q "%%d"

:END
endlocal